-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- PROGRAM		"Quartus II 32-bit"
-- VERSION		"Version 11.1 Build 259 01/25/2012 Service Pack 2 SJ Web Edition"
-- CREATED		"Tue Oct 14 10:38:44 2014"

LIBRARY ieee;
USE ieee.std_logic_1164.all; 

LIBRARY work;

ENTITY dflipflops IS 
	PORT
	(
		x :  IN  STD_LOGIC;
		clk :  IN  STD_LOGIC;
		areset :  IN  STD_LOGIC;
		q1 :  OUT  STD_LOGIC;
		q0 :  OUT  STD_LOGIC
	);
END dflipflops;

ARCHITECTURE bdf_type OF dflipflops IS 

SIGNAL	d :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_0 :  STD_LOGIC;
SIGNAL	DFF_inst :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_1 :  STD_LOGIC;
SIGNAL	DFF_inst1 :  STD_LOGIC;


BEGIN 
q1 <= DFF_inst1;
q0 <= DFF_inst;
SYNTHESIZED_WIRE_0 <= '1';
SYNTHESIZED_WIRE_1 <= '1';



PROCESS(clk,areset,SYNTHESIZED_WIRE_0)
BEGIN
IF (areset = '0') THEN
	DFF_inst <= '0';
ELSIF (SYNTHESIZED_WIRE_0 = '0') THEN
	DFF_inst <= '1';
ELSIF (RISING_EDGE(clk)) THEN
	DFF_inst <= d;
END IF;
END PROCESS;


PROCESS(clk,areset,SYNTHESIZED_WIRE_1)
BEGIN
IF (areset = '0') THEN
	DFF_inst1 <= '0';
ELSIF (SYNTHESIZED_WIRE_1 = '0') THEN
	DFF_inst1 <= '1';
ELSIF (RISING_EDGE(clk)) THEN
	DFF_inst1 <= DFF_inst;
END IF;
END PROCESS;


d <= DFF_inst1 XOR x;




END bdf_type;